﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
using System.Collections.Generic;
namespace sql_gridview
{
    public class member
    {
        public int id { get; set; }
        public string name { get; set; }
        public string phone { get; set; }
        public string classname { get; set; }
    }
    public class EmployeeDataAccessLayer
    {
        public static List<member> GetAllEmployees()
        {
            List<member> listmember = new List<member>();

            string CS = ConfigurationManager.ConnectionStrings["testingConnectionString"].ConnectionString;
            using (SqlConnection con = new SqlConnection(CS))
            {
                SqlCommand cmd = new SqlCommand("Select * from member", con);
                con.Open();
                SqlDataReader rdr = cmd.ExecuteReader();
                while (rdr.Read())
                {
                    member member = new member();
                    member.id = Convert.ToInt32(rdr["id"]);
                    member.name = rdr["name"].ToString();
                    member.phone = rdr["phone"].ToString();
                    member.classname = rdr["classname"].ToString();

                    listmember.Add(member);
                }
            }

            return listmember;
        }
        
         // Delete Method for ObjectDataSource control
    public static void DeleteEmployee(int id)
    {
        string CS = ConfigurationManager.ConnectionStrings["testingConnectionString"].ConnectionString;
        using (SqlConnection con = new SqlConnection(CS))
        {
            SqlCommand cmd = new SqlCommand
                ("Delete from member where id = @id", con);
            SqlParameter param = new SqlParameter("@id", id);
            cmd.Parameters.Add(param);
            con.Open();
            cmd.ExecuteNonQuery();
        }
    }

    // Update Method for ObjectDataSource control
    public static int UpdateEmployee(int id, string name, string phone, string classname)
    {
        string CS = ConfigurationManager.ConnectionStrings["testingConnectionString"].ConnectionString;
        using (SqlConnection con = new SqlConnection(CS))
        {
            string updateQuery = "Update member SET name = @name,  " +
                "phone = @phone, classname = @classname WHERE id = @id";
            SqlCommand cmd = new SqlCommand(updateQuery, con);
            SqlParameter paramOriginalEmployeeId = new 
                SqlParameter("@id", id);
            cmd.Parameters.Add(paramOriginalEmployeeId);
            SqlParameter paramname = new SqlParameter("@name", name);
            cmd.Parameters.Add(paramname);
            SqlParameter paramphone = new SqlParameter("@phone", phone);
            cmd.Parameters.Add(paramphone);
            SqlParameter paramclassname = new SqlParameter("@classname", classname);
            cmd.Parameters.Add(paramclassname);
            con.Open();
            return cmd.ExecuteNonQuery();
        }
    }

    // Insert Method for ObjectDataSource control
    public static int InsertEmployee(string name, string phone, string classname)
    {
        string CS = ConfigurationManager.ConnectionStrings["testingConnectionString"].ConnectionString;
        using (SqlConnection con = new SqlConnection(CS))
        {
            string updateQuery = "Insert into member (name, phone, classname)" + 
                " values (@name, @phone, @classname)";
            SqlCommand cmd = new SqlCommand(updateQuery, con);
            SqlParameter paramname = new SqlParameter("@name", name);
            cmd.Parameters.Add(paramname);
            SqlParameter paramphone = new SqlParameter("@phone", phone);
            cmd.Parameters.Add(paramphone);
            SqlParameter paramclassnamee = new SqlParameter("@classname", classname);
            cmd.Parameters.Add(paramclassnamee);
            con.Open();
            return cmd.ExecuteNonQuery();
        }
    }

    
    }
}
